// form // 

.main__form {
    display: flex;
    flex-direction: column;
    grid-gap: 16px;

    .block__title {
        margin-bottom: 0;
    }
}

.form__wrapper {
    display: flex;
    grid-gap: 4px;
    flex-direction: column;
    max-width: 672px;
    width: 100%;
    height: 56px;
    border-radius: 8px;
    background-color: $main-0;
    padding: 10px;
    position: relative;
    border: 1px solid $main-4;

    @media (max-width: 1024px) {
        max-width: 100%;
    }
}

.disable {
    background-color: $main-3;
    border: none;

    .form__label {
        &:after {
            display: none;
        }
    }

    .form__input {
        cursor: not-allowed;
        
        &::placeholder {
            color: $main-6;
        }

        &:disabled {
            color: $main-6;
        }

    }
}

.error {
    border: 1px solid $purple-1;
    position: relative;

    &:after {
        position: absolute;
        content: url('../../img/svg/error.svg');
        right: 8px;
        bottom: 4px;
    }
}

.success {
    border: 1px solid $green-4;

    &:after {
        position: absolute;
        content: url('../../img/svg/success.svg');
        right: 8px;
        bottom: 4px;
    }
}

.password__wrapper.error {
    border: 1px solid $purple-1;

    &:after {
        display: none;
    }
}

.password__wrapper.success {
    border: 1px solid $green-4;

    &:after {
        display: none;
    }
}

.repeat-password {
    display: none;
}

.repeat-password.show {
    display: flex;
}


.form__label {
    font-style: normal;
    font-weight: 700;
    font-size: 10px;
    line-height: 16px;
    text-transform: uppercase;
    color: $main-6;
    position: relative;
    width: fit-content;

    &:after {
        position: absolute;
        top: -2px;
        left: 103%;
        content: "";
        width: 3px;
        height: 3px;
        border-radius: 100%;
        background-color: $purple-1;
    }
}

.form__input {
    background-color: inherit;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    color: $main-8;
    width: inherit;
   
    &::placeholder {
        color: $main-8;
    }
}

.form__textarea {
    height: 80px;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    color: $main-8;
}

.upload__file {
    position: relative;
    width: fit-content;
    cursor: pointer;

    .upload__input {
        position: absolute;
        opacity: 0;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
    }

    .upload__label {
        display: flex;
        grid-gap: 8px;
        padding: 8px;
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 16px;
        color: $main-8;
        width: fit-content;
    }
}

.upload__field {
    @include uploadField; 
}

.upload__field-hover {
    transition: 0.3s ease;
    cursor: pointer;

    &:hover {
        background-color: $main-7;

        .upload__text {
            color: $main-1;
        }
    
        .upload__clue {
            color: $main-1;
        }
    }
}

.download__field {
    @include downloadField;

    .component__button {
        @media (max-width: 576px) {
            width: 100%;
        }
    }
}

.textarea__wrapper {
    display: flex;
    flex-direction: column;
    grid-gap: 4px;
    background-color: $main-0;
    border-radius: 8px;
    padding: 10px;
    border: 1px solid $main-4;
    height: 200px;
}

.textarea {
    font-size: 13px;
    line-height: 20px;
    color: $main-8;

    &::placeholder {
        color: $main-6;
    }
}

.show__password {
    position: absolute;
    right: 10px;
    bottom: 10px;

    .icon__show {
        display: flex;
    }

    .icon__hide {
        display: none;
    }
}

.show__password.show {
    .icon__show {
        display: none;
    }

    .icon__hide {
        display: flex;
    }
}

.phone__form.hide {
    display: none;
}

.dial-in__form {
    position: relative;
    display: none;

    .dial-in__text {
        @include f16w400M8;
        margin-bottom: 8px
    }

    .dial-in__number {
        @include f20w400R3;
    }

    .fieldset {
       
        .dial-in__label {
            position: absolute;
            visibility: hidden;
            opacity: 0;
        }
        .dial-in__wrapper {
            margin: 24px 0;
            padding: 4px;
            background-color: $main-4;
            border-radius: 8px;

            .dial-in__sub-wrapper {
                border: 1px solid $main-5;
                border-radius: 8px;
                padding: 16px 0;
                display: flex;
                justify-content: center;
                grid-gap: 20px;
                background-color: $main-0;
               
                .dial-in__input {
                    width: 20px;
                    height: 30px;
                    font-size: 24px;
                    text-indent: 10%;
                    @include f24w400M8;
    
                    &::placeholder {
                        color: $main-8;
                    }
                }
            }
        }

        .buttons__wrapper {
            display: flex;
            flex-direction: column;
            grid-gap: 16px;
        }
        .component__button {
            padding: 16px;
            width: 100%;
        }
    }
}

.dial-in__form.active {
    display: flex;
    flex-direction: column;
}

